> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Weight Class

> Admin: update weight class fields.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json patch /api/v1/admin/shipping/weight-classes/{id}
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/shipping/weight-classes/{id}:
    patch:
      tags:
        - admin:shipping
      summary: Update Weight Class
      description: 'Admin: update weight class fields.'
      operationId: update_weight_class_api_v1_admin_shipping_weight_classes__id__patch
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WeightClassUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_WeightClassOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    WeightClassUpdate:
      properties:
        name_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Name I18N
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        value:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Value
      type: object
      title: WeightClassUpdate
    ApiResponse_WeightClassOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/WeightClassOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[WeightClassOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WeightClassOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Name I18N
        unit:
          type: string
          title: Unit
        value:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Value
      type: object
      required:
        - id
        - name_i18n
        - unit
        - value
      title: WeightClassOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````